org.keycloak.models.sessions.infinispan.changes.sessions

## Class AbstractLastSessionRefreshStoreFactory

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.changes.sessions.AbstractLastSessionRefreshStoreFactory

- Direct Known Subclasses:
    CrossDCLastSessionRefreshStoreFactory, PersisterLastSessionRefreshStoreFactory

      public abstract class AbstractLastSessionRefreshStoreFactory
      extends Object

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_MAX_COUNT`
    `static int` | `DEFAULT_MAX_INTERVAL_BETWEEN_MESSAGES_SECONDS`
    `static long` | `DEFAULT_TIMER_INTERVAL_MS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractLastSessionRefreshStoreFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setupPeriodicTimer(KeycloakSession kcSession, AbstractLastSessionRefreshStore store, long timerIntervalMs, String eventKey)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_TIMER_INTERVAL_MS

          public static final long DEFAULT_TIMER_INTERVAL_MS

      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_INTERVAL_BETWEEN_MESSAGES_SECONDS

          public static final int DEFAULT_MAX_INTERVAL_BETWEEN_MESSAGES_SECONDS

      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_COUNT

          public static final int DEFAULT_MAX_COUNT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractLastSessionRefreshStoreFactory

          public AbstractLastSessionRefreshStoreFactory()

  - ### Method Detail

    - #### setupPeriodicTimer

          protected void setupPeriodicTimer(KeycloakSession kcSession,
                                            AbstractLastSessionRefreshStore store,
                                            long timerIntervalMs,
                                            String eventKey)

Copyright © 2020 JBoss by Red Hat. All rights reserved.